# Copyright (C) 2007, Florian Boor - based on x86.conf:
# Copyright (C) 2007, Stelios Koroneos - Digital OPSiS, All Rights Reserved
# Released under the MIT license (see packages/COPYING)
#@TYPE: Machine
#@NAME: VMWare
#@DESCRIPTION: Machine configuration for a VMWare virtual PC

TARGET_ARCH = "i686"
PACKAGE_EXTRA_ARCHS = "vmware"

PREFERRED_PROVIDER_virtual/kernel = "linux"
PREFERRED_PROVIDER_virtual/xserver = "xserver-kdrive"
XSERVER="xserver-kdrive-vesa"

KERNEL_IMAGETYPE = "bzImage"

MACHINE_EXTRA_RRECOMMENDS = " kernel-modules"
MACHINE_FEATURES = "kernel26 pci usbhost ext2 screen x86"

udevdir = "/dev"
OLDEST_KERNEL = "2.6.17"
GLIBC_ADDONS = "nptl"
GLIBC_EXTRA_OECONF = "--with-tls"

require conf/machine/include/pentiumpro.inc
